package jp.jsworld.SpModeMailWatcher;

import android.app.Activity;
import android.os.Bundle;
import android.view.Window;
import android.widget.Toast;

/**
 * 着信音を鳴らすかどうかを切り替えるアクティビティです。
 *
 * @version 1.3.0
 * @author jun shiozaki
 *
 *         【ver. 1.3.0 2012/07/28】<br>
 *         ・新規作成
 */
public class SoundSwitchActivity extends Activity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        // タイトルを非表示にする。
        requestWindowFeature(Window.FEATURE_NO_TITLE);

        SettingReader sr = new SettingReader(this);

        if( sr.getNoticeSoundFlag()){

            // 着信音を鳴らさないように設定
            sr.setNoticeSoundFlag(false);

            // トースト表示
            Toast.makeText(this, "SPモードメール監視の着信音を OFF にしました。", Toast.LENGTH_SHORT).show();
        }else{
            // 着信音を鳴らすように設定
            sr.setNoticeSoundFlag(true);

            // トースト表示
            Toast.makeText(this, "SPモードメール監視の着信音を ON にしました。", Toast.LENGTH_SHORT).show();
        }

        finish();
    }
}
